DragonFly BSD
DragonFly kernel List (threaded) for 2005-05
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: libc changes and freebsd-4 compatible binaries

From: "Martin P. Hellwig" <mhellwig@xxxxxxxxx>
Date: Tue, 03 May 2005 12:34:25 +0200

Yury Tarasievich wrote:
So, as I see it, the bottom line is NO, after all.

Opera won't work (and this no mean thing), openoffice won't work (same), and existing collections of freebsd-4 packages become useless. Compile everything or die, eh? With all respect, but this is kicking people in the teeth, just like what IBM did in their OS/2 times.

Or as with FreeBSD-5 with their libc change, progress sometimes asks for sacrifices, luckily enough the libc won't be changed with the official 1.2 release. Although I find it frustrating too (the libmap bull was the primary reason for me to leave Free) I reckon sometimes harsh measures are needed. It is mostly better to brake with compatibility then to suffer from old rubbish (Windows ME anyone?)


[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]